Page MenuHomePhabricator

The language list on top of Wikidata community pages should be able to be collapsed
Closed, ResolvedPublic

Description

A lot of screen real-estate on the top of https://www.wikidata.org/wiki/Wikidata:Project_chat and https://www.wikidata.org/wiki/Wikidata:Community_portal is spend on the list of languages. It would be great if it would be possible for a user to collapse the list. By default it might only list the languages that the user speaks in the same way that Wikidata items only show the labels in those languages.

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMar 4 2017, 2:10 PM

Who can do something about it? I don't see it on my team's plate and would like to move it to the right place. Or do we close it because it is covered by the other tickets?

The project chat list can be made collapsible by adding CSS class mw-collapsible to {{ProjectChatLanguages}}. Don't we want to make other languages' chats more accessible, though? (We can make it collapsible but uncollapsed by default.)

Restricted Application added a subscriber: TerraCodes. · View Herald TranscriptMar 26 2017, 1:47 PM

Why was MediaWiki-extensions-Translate added again?

I do not want to make the language list collapsible in Translate, so consider that part as a WONTFIX. There are better solutions given in the tasks I linked earlier.

D3r1ck01 added a subscriber: D3r1ck01.EditedJul 23 2017, 11:29 AM

@matej_suchanek, adding mw-collapsible affects only the {{ProjectChatLanguages}} template but doesn't apply on the reported pages. This does mean one will have to look at the code. Or are my missing something because the template was semi-protected, so someone must approve the edit/change before it applies?

Restricted Application added a subscriber: PokestarFan. · View Herald TranscriptJul 23 2017, 11:29 AM
matej_suchanek closed this task as Resolved.Jul 24 2017, 7:42 AM
matej_suchanek claimed this task.

I see no point in keeping this task open. @D3r1ck01: follow @Nikerabbit's comments.